.flex(
  @flex-direction: row,
  @justify-content: flex-start,
  @align-items: flex-start,
  @flex-wrap: nowrap
) {
  display: flex;
  flex-direction: @flex-direction;
  justify-content: @justify-content;
  align-items: @align-items;
  flex-wrap: @flex-wrap;
}

.hidden() {
  position: absolute;
  top: 0;
  left: 0;
  clip: rect(0 0 0 0);
  opacity: 0;
  visibility: hidden;
}

.show() {
  position: relative;
  visibility: visible;
  opacity: 1;
  clip: auto;
}
